{1- Cree un algoritmo para convertir kilmetros en millas. La conversin se debe llevar a cabo mediante una funcin. Tambin implemente una subrutina para mostrar una leyenda con el resultado.}
{Solucin en lenguaje Pascal}

PROGRAM alg_01_cap03;
CONST FACTOR = 0.6214;

{ Funcin: convertir() }
{ Recibe como parmetro una cantidad expresada en kilmetros y retorna su equivalente en millas. }

FUNCTION convertir(kms: INTEGER): REAL;

BEGIN
	convertir := FACTOR * km;
END;

{ Procedimiento: imprimir_resultado() }
{ Recibe una cantidad expresada en kilmetros y su equivalente en millas, y muestra una leyenda informando la relacin. }

PROCEDURE imprimir_resultado(kms: INTEGER; millas: REAL);

BEGIN
	WRITELN(kms, ' km equivalen a ', millas:4:2, ' millas');
END;

VAR 	km: INTEGER;
	millas: REAL;

BEGIN
	WRITELN('Conversin de kilmetros a millas');
	WRITELN('---------------------------------');
	WRITELN;

	WRITE('Introduzca la cant. de km a convertir: ');
	READLN(km);

	millas := convertir(km);
	imprimir_resultado(km, millas);
END.