/* 2- Cree un algoritmo que calcule e imprima una tabla de funciones trigonomtricas. */
/* Solucin en lenguaje C */

#include <stdio.h>
#include <math.h>

#define PI 3.1415

/* Prototipos */
void mostrar_tabla(float, float, float);

int main()
{
	float valor_inicial, valor_final, inc;
	printf("Tabla de funciones trigonomtricas\n");
	printf("----------------------------------\n\n");
	printf("Introduzca el valor inicial: ");
	scanf("%f", &valor_inicial);
	do
	{
		printf("Introduzca el valor final: ");
		scanf("%f", &valor_final);
		}while (valor_final <= valor_inicial);
	do
	{
		printf("Introduzca el incremento: ");
		scanf("%f", &inc);
	}
	while (inc <= 0);
	mostrar_tabla(valor_inicial, valor_final, inc);
	return 0;
}
void mostrar_tabla(float valor_inicial, float valor_final, float inc)
{
	float grados, radianes;

	printf(" Grados Seno Coseno Tangente\n");
	printf("----------------------------------------\n");
	for (grados = valor_inicial; grados <= valor_final; grados += inc)
	{
		radianes = grados * PI / 180; /* Conversin grados a radianes */
		printf("%8.2f", grados);
		printf("%10.4f %10.4f %10.4f\n", sin(radianes), cos(radianes),tan(radianes));
	}
}