/* 3- Programe un algoritmo que calcule el rea de una corona circular a partir de una rutina que calcule el rea de un crculo. Utilice paso de parmetro por valor y por referencia.*/
/* Solucin en lenguaje C */

#include <stdio.h>
#define PI 3.1415

/* Funcin: area() */
/* Recibe como primer parmetro una referencia (puntero) a la */
/* variable donde se almacenar el rea calculada (equivale a un */
/* pasaje por referencia). Como segundo parmetro recibe el radio */
/* en cm (pasaje por valor). */
void area(float*, float);

/* programa principal */
int main ()
{
	float radio_ext, radio_int, area_ext, area_int, area_corona;
	printf("rea de una corona circular\n");
	printf("---------------------------\n\n");

	do
	{
		printf("Introduzca el radio exterior (en cm): ");
		scanf("%f", &radio_ext);
	}

	while (radio_ext <= 0.0);
	/* Clculo del rea exterior */
	area(&area_ext , radio_ext);
	do
	{
		printf("Introduzca el radio interior (en cm): ");
		scanf("%f", &radio_int);
	}

	while ( (radio_int <= 0.0) || (radio_int > radio_ext) );
	/* Clculo del rea interior */
	area(&area_int, radio_int);

	area_corona = area_ext - area_int;

	printf("El rea de la corona circular es %4.2f cm2 \n", area_corona);

	return 0;
}
void area(float* area_cir, float radio)
{
	*area_cir = PI * radio * radio;
}