{3- Programe un algoritmo que calcule el rea de una corona circular a partir de una rutina que calcule el rea de un crculo. Utilice paso de parmetro por valor y por referencia.}
{Solucin en lenguaje Pascal}

PROGRAM alg_03_cap03;
CONST PI = 3.1415;

{ Procedimiento: area() }
{ Recibe como primer parmetro una referencia (puntero) a la }
{ variable donde se almacenar el rea calculada (pasaje por }
{ referencia). Como segundo parmetro recibe el radio en cm }
{ (pasaje por valor). }
PROCEDURE area(VAR area_cir: REAL; radio: REAL);

BEGIN
	area_cir := PI * radio * radio;
END;

VAR radio_ext, radio_int, area_ext, area_int, area_corona: REAL;

{ Programa principal }
BEGIN
	WRITELN('rea de una corona circular');
	WRITELN('---------------------------');
	REPEAT
		WRITE('Introduzca el radio exterior (en cm): ');
		READLN(radio_ext);
	UNTIL (radio_ext > 0.0);

	{ Clculo del rea exterior }
	area(area_ext , radio_ext);

	REPEAT
		WRITE('Introduzca el radio interior (en cm): ');
		READLN(radio_int);
	UNTIL ((radio_int > 0.0) and (radio_int <= radio_ext));

	{ Clculo del rea interior }
	area(area_int , radio_int);
	area_corona := area_ext - area_int;

	WRITELN('El rea de la corona circular es ', area_corona:4:2, ' cm2');
END.