/* 4- Disee un algoritmo que calcule el rea de una corona circular a partir de una rutina que calcule el rea de un crculo. Utilice solamente paso por valor, y que el resultado se retorne a travs del nombre de la funcin. */
/* Solucin en lenguaje C */

#include <stdio.h>
#define PI 3.1415

/* Funcin: area() */
/* Recibe como primer parmetro el radio en cm (por valor) y */
/* retorna el rea por el nombre. */
float area(float);

/* programa principal */
int main ()
{
	float radio_ext, radio_int, area_ext, area_int, area_corona;

	printf("rea de una corona circular\n");
	printf("---------------------------\n\n");

	do
	{
		printf("Introduzca el radio exterior (en cm): ");
		scanf("%f", &radio_ext);
	}
	while (radio_ext <= 0.0);
	/* Clculo del rea exterior */
	area_ext = area(radio_ext);

	do
	{
		printf("Introduzca el radio interior (en cm): ");
		scanf("%f", &radio_int);
	}
	while ( (radio_int <= 0.0) || (radio_int > radio_ext) );

	/* Clculo del rea interior */
	area_int = area(radio_int);

	area_corona = area_ext - area_int;
	printf("El rea de la corona circular es %4.2f cm2 \n", area_corona);
	return 0;
}

float area(float radio)
{
	return PI * radio * radio;
}