{4- Disee un algoritmo que calcule el rea de una corona circular a partir de una rutina que calcule el rea de un crculo. Utilice solamente paso por valor, y que el resultado se retorne a travs del nombre de la funcin.}
{Solucin en lenguaje Pascal}

PROGRAM alg_04_cap03;
CONST PI = 3.1415;
{ Procedimiento: area() }
{ Recibe como primer parmetro el radio en cm (por valor) y }
{ retorna el rea por el nombre. }
FUNCTION area(radio: REAL): REAL;

BEGIN
	area := PI * radio * radio;
END;

VAR radio_ext, radio_int, area_ext, area_int, area_corona: REAL;

{ Programa principal }
BEGIN
	WRITELN('rea de una corona circular');
	WRITELN('---------------------------');

	REPEAT
		WRITE('Introduzca el radio exterior (en cm): ');
		READLN(radio_ext);
	UNTIL (radio_ext > 0.0);

	{ Clculo del rea exterior }
	area_ext := area(radio_ext);

	REPEAT
		WRITE('Introduzca el radio interior (en cm): ');
		READLN(radio_int);
	UNTIL ((radio_int > 0.0) and (radio_int <= radio_ext));

	{ Clculo del rea interior }
	area_int := area(radio_int);

	area_corona := area_ext - area_int;

	WRITELN('El rea de la corona circular es ', area_corona:4:2, ' cm2');
END.