{2- Cree un algoritmo que calcule e imprima una tabla de funciones trigonomtricas.}
{Solucin en lenguaje Pascal}

PROGRAM alg_02_cap03;

{ Para utilizar las funciones sin(), cos() y tan() }

USES math;

PROCEDURE mostrar_tabla(valor_inicial, valor_final, inc: REAL);

VAR grados, radianes: REAL;
BEGIN

	WRITELN(' Grados Seno Coseno Tangente');
	WRITELN('----------------------------------------');

	grados := valor_inicial;
	WHILE (grados <= valor_final) DO
		BEGIN
			radianes := grados * PI / 180; { Conversin grados a radianes }
			WRITE(grados:10:4);
			WRITELN(sin(radianes):10:4, cos(radianes):10:4, tan(radianes):10:4);
			grados := grados + inc;
		END;
END;

VAR valor_inicial, valor_final, inc: REAL;

{ Programa principal }

BEGIN
	WRITELN('Tabla de funciones trigonomtricas');
	WRITELN('----------------------------------');
	WRITELN ;

	WRITE('Introduzca el valor inicial: ');
	READLN(valor_inicial);

	REPEAT
		WRITE('Introduzca el valor final: ');
		READLN(valor_final);
	UNTIL (valor_final > valor_inicial);

	REPEAT
		WRITE('Introduzca el incremento: ');
		READLN(inc);
	UNTIL (inc > 0);

	mostrar_tabla(valor_inicial, valor_final, inc);
END.