/*5- Programe un algoritmo que calcule la integral definida de una funcin f() entre dos puntos. Utilice paso de parmetro por valor.*/
/*Solucin en lenguaje C*/

#include <stdio.h>

/* Funcin: f() */
/* Representa la funcin matemtica a evaluar. En este caso */
/* utilizamos f(x) = 2x, pero se puede sustituir por cualquier */
/* otra. */
float f(float x);

/* Funcin: integrar() */
/* Como primer parmetro recibe el lmite inferior y como */
/* segundo parmetro, el lmite superior. Calcula la integral */
/* entre estos puntos, utilizando como incremento el valor */
/* recibido como tercer parmetro. */
float integrar(float, float, float);

/* Programa Principal */
int main ()
{
	float lim_inf, lim_sup, inc;
	printf("Clculo de una integral definida\n");
	printf("--------------------------------\n\n");

	printf("Introduzca el lmite inferior: ");
	scanf("%f", &lim_inf);
	do
	{
		printf("Introduzca el lmite superior: ");
		scanf("%f", &lim_sup);
	}
	while (lim_sup < lim_inf);
	do
	{
		printf("Introduzca el incremento: ");
		scanf("%f", &inc);
	}
	while (inc <= 0);
	printf("Valor de la integral = %5.2f\n",
	integrar(lim_inf, lim_sup, inc) );
	return 0;
}
float f(float x)
{
	return 2 * x;
}
float integrar(float lim_inf, float lim_sup, float inc)
{
	float integral, x;
	x = lim_inf;
	integral = 0.0;
	while (x < (lim_sup-lim_inf))
	{
		integral += inc * f(x + inc/2.0);
		x += inc;
	}
	integral += (lim_sup - x) * f((lim_inf+x)/2.0);
	return integral;
}