{5- Programe un algoritmo que calcule la integral definida de una funcin f() entre dos puntos. Utilice paso de parmetro por valor.}
{Solucin en lenguaje Pascal}

PROGRAM alg_05_cap03;
{ Funcin: f() }
{ Representa la funcin matemtica a evaluar. En este caso }
{ utilizamos f(x) = 2x, pero se puede sustituir por cualquier }
{ otra. }
FUNCTION f(x: REAL): REAL;

BEGIN
	f := 2 * x;
END;

{ Funcin: integrar() }
{ Como primer parmetro recibe el lmite inferior y como }
{ segundo parmetro, el lmite superior. Calcula la integral }
{ entre estos puntos, utilizando como incremento el valor }
{ recibido como tercer parmetro. }
FUNCTION integrar(lim_inf, lim_sup, inc: REAL): REAL;

VAR integral, x: REAL;

BEGIN
	x := lim_inf;
	integral := 0.0;
	WHILE (x < (lim_sup-lim_inf)) DO
	BEGIN
		integral := integral + inc * f(x + inc/2.0);
		x := x + inc;
	END;

	integral := integral + (lim_sup - x) * f((lim_inf+x)/2.0);
	integrar := integral;
END;

VAR lim_inf, lim_sup, inc: REAL;

{ Programa Principal }
BEGIN
	WRITELN('Clculo de una integral definida');
	WRITELN('--------------------------------');

	WRITE('Introduzca el lmite inferior: ');
	READLN(lim_inf);

	REPEAT
		WRITE('Introduzca el lmite superior: ');
		READLN(lim_sup);
		UNTIL (lim_sup >= lim_inf);
	REPEAT
		WRITE('Introduzca el incremento: ');
		READLN(inc);
	UNTIL (inc > 0);

	WRITELN('Valor de la integral = ',
		integrar(lim_inf, lim_sup, inc):5:2 );
END.